class UpdateTagCloud 
  @queue = :high

  def self.perform()
    Tag.all.each do |tag|
      tag.update_attribute(:cloud_view_count, tag.impressionist_count(:created_at.gte => 14.days.ago, :created_at.lte => Time.now))
    end
    OrbitLogger.info "UpdateTagCloud Done"
  end
end